WG13 Issues - CIM Issues #5014

Handling unit multiplierNeed a policy for WG13 with respec
09/14/2021 03:47 PM - Herbert Falk

Status: Review

Priority: Normal

Target version:

Author/Contact Info: Kendall Demaree Standard(s):
Base Release: CIM16 Version:
Solution to be CIM18v07 Clause:
Applied To:

Solution Version: CIM18v07 Sub-Clause:
Solution Applied By: Chavdar Ivanov Paragraph:
Completion Date: 10/14/2023 Table:

CIM Keywords:

61970-Domain

Originally Closed in

Version:
Breaking Change: Yes Origination Date: 09/07/2016
Breaking Change Profiles are updated and applications Origination ID: 13_268

Description: need to update the multipliers

CIM Impacted WG13, WG14, WG16 Originally Assigned
Groups: To:

Requestor:

Description

Handling unit multiplier

Need a policy for WG13 with respect to how unit multpliers are to be exchanged. For example CDPSM has need for Length to be in
km for line length, but in meter for conductor spacing. 61970-552 does not provide for exchange of unit symbols or unit multpliers.
Manual documentation is required in profiles. Possibly different model parts assembled together may have diffferent unit multipliers
such as combining a distribution and transmission model together.

Proposed Solution

Simplistic solution is to align on one mutiplier (say 1) and only exchange meter, using the decimal in the actual exchange to express
the value properly. This puts more stress on a user interface presenting the data differently than how it is exchanged.

Assign to Units of Measure Subgroup

Decision

Oslo 14 June 2023
Considering that we expect to have models that include distribution and transmission grids, the recommendation is to remove
multipliers in the profiles. It will be a breaking change.

There are 3 ways how to implement this:

) delete .multiplier from the canonical UML. This implies that the multiplier is 1. This needs discussion with other TFs

) fix the .multiplier to "none" in the canonical UML. This means that the multiplier is 1. This needs discussion with other TFs

) fix the .multiplier to "none" in the profile, which means we need to pay attention when creating profiles so that all profiles are
consistent. The advantage of this option is that there could be different approaches between different TFs

1
2
3
Preferred option is option 1, but due to 61850 harmonization perhaps option 2 is better.
TF13 may implement option 3 first.

This will not apply to hours, minutes, seconds

An email will need to be sent to WG13 to check the support for this agreement.

TF13, call 12-Jul-2023:

- Agreed to apply option 3 for all TF13 profiles for CIM18
- Before closing the issue make sure there is a joint issue to inform other TFs
Release Notes

All profiles are updated to have "none" as multiplier in the CIMDatatype. This means that values are exchanged in their base Sl unit
and will need to use engineering notation, e.g. SwPowerFlow.p in SV profile was defined as MW and 100.6 MW are exchanged in
xml as <SvPowerFlow.p>100.6<SvPowerFlow.p>. After the change in the profiles the instance data is
<SvPowerFlow.p>100.6E6<SvPowerFlow.p>

The following changes are applied:

- in EQ profile - 452 and 600: ActivePower, ActivePowerPerCurrentFlow, ActivePowerPerFrequency, ApparentPower, Length,
ReactivePower

, RealEnergy, Voltage

- in SC profile - 452 and 600: ActivePower, Length, Voltage

- in SSH - 456 and 600: ActivePower, ApparentPower, ReactivePower, RealEnergy, Voltage

- in SV profile 0 456 and 600: ActivePower, ReactivePower, Voltage

IEC 61970-457 Ed2 is not updated as it is in FDIS. Most probably an amendment will need to be launched after the approval of the
FDIS

History

#1 - 09/14/2021 06:26 PM - Eric Stephan

- Subject changed from Handling unit multiplier
Need a policy for WG13 with respec to Handling unit multiplierNeed a policy for WG 13 with respec

- Decision updated

#2 - 12/01/2021 11:47 AM - Eric Stephan
- Proposed Solution updated

- Decision updated

#3 - 06/14/2023 09:05 AM - Chavdar lvanov
- Status changed from Open to Review

- Decision updated

- CIM Keywords 61970-Domain added

- CIM Impacted Groups WG14, WG16 added

#4 - 07/12/2023 10:38 AM - Chavdar Ivanov

- Decision updated

#5 - 07/12/2023 10:39 AM - Chavdar Ivanov

- Decision updated

#6 - 10/14/2023 01:21 AM - Chavdar Ivanov

- Release Notes updated

#7 - 10/14/2023 01:30 AM - Chavdar Ivanov

- Release Notes updated

#8 - 10/14/2023 01:35 AM - Chavdar Ilvanov
- Solution to be Applied To set to CIM18v07
- Solution Version set to CIM18v07

- Solution Applied By set to Chavdar Ivanov
- Completion Date set to 10/14/2023

- Breaking Change changed from No to Yes

- Breaking Change Description set to Profiles are updated and applications need to update the multipliers

#9 - 10/14/2023 02:41 AM - Todd Viegut

- Decision updated

#10 - 10/14/2023 02:42 AM - Todd Viegut
- Decision updated
